!SESSION 2016-05-23 14:09:26.531 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.7.0_01
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=zh_CN
Command-line arguments:  -os win32 -ws win32 -arch x86

!ENTRY org.eclipse.ui 4 4 2016-05-23 14:09:38.953
!MESSAGE 部件已在页面布局中存在：com.chipon.chiponide.ui.views.ProgramUtilization。

!ENTRY org.eclipse.ui 4 4 2016-05-23 14:09:38.953
!MESSAGE 部件已在页面布局中存在：org.eclipse.ui.console.ConsoleView。

!ENTRY org.eclipse.ui 4 4 2016-05-23 14:09:38.953
!MESSAGE 部件已在页面布局中存在：org.eclipse.ui.views.ProblemView。

!ENTRY org.eclipse.ui 4 4 2016-05-23 14:09:38.953
!MESSAGE 部件已在页面布局中存在：org.eclipse.ui.views.ContentOutline。

!ENTRY org.eclipse.cdt.core 1 0 2016-05-23 14:11:57.359
!MESSAGE Indexed '09_UART_Test' (2 sources, 10 headers) in 0.48 sec: 33 declarations; 59 references; 8 unresolved inclusions; 245 syntax errors; 47 unresolved names (33.81%)

!ENTRY org.eclipse.cdt.core 1 0 2016-05-23 14:22:33.921
!MESSAGE Indexed '11_Usart' (2 sources, 10 headers) in 0.08 sec: 11 declarations; 2 references; 8 unresolved inclusions; 92 syntax errors; 0 unresolved names (0.00%)

!ENTRY org.eclipse.cdt.ui 4 4 2016-05-23 15:05:46.875
!MESSAGE 内部错误
!STACK 0
java.lang.NullPointerException
	at com.chipon.chiponide.ui.propertypages.HardwareTab.performApply(HardwareTab.java:116)
	at com.chipon.chiponide.ui.propertypages.AbstractChipOnPropertyTab.performApply(AbstractChipOnPropertyTab.java:226)
	at org.eclipse.cdt.ui.newui.AbstractCPropertyTab.handleTabEvent(AbstractCPropertyTab.java:532)
	at com.chipon.chiponide.ui.propertypages.AbstractChipOnPropertyTab.handleTabEvent(AbstractChipOnPropertyTab.java:202)
	at org.eclipse.cdt.ui.newui.AbstractPage.forEach(AbstractPage.java:1019)
	at org.eclipse.cdt.ui.newui.AbstractPage$5.run(AbstractPage.java:647)
	at org.eclipse.ui.actions.WorkspaceModifyDelegatingOperation.execute(WorkspaceModifyDelegatingOperation.java:69)
	at org.eclipse.ui.actions.WorkspaceModifyOperation$1.run(WorkspaceModifyOperation.java:106)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ui.actions.WorkspaceModifyOperation.run(WorkspaceModifyOperation.java:118)
	at org.eclipse.jface.operation.ModalContext.runInCurrentThread(ModalContext.java:464)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:372)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:507)
	at org.eclipse.ui.internal.progress.ProgressManager$RunnableWithStatus.run(ProgressManager.java:1346)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.ui.internal.progress.ProgressManager$7.run(ProgressManager.java:1184)
	at org.eclipse.swt.widgets.Synchronizer.syncExec(Synchronizer.java:180)
	at org.eclipse.ui.internal.UISynchronizer.syncExec(UISynchronizer.java:150)
	at org.eclipse.swt.widgets.Display.syncExec(Display.java:4683)
	at org.eclipse.ui.internal.progress.ProgressManager.runInUI(ProgressManager.java:1182)
	at org.eclipse.cdt.ui.newui.AbstractPage.performSave(AbstractPage.java:666)
	at org.eclipse.cdt.ui.newui.AbstractPage.performApply(AbstractPage.java:520)
	at com.chipon.chiponide.ui.propertypages.AbstractChipOnPage.performOk(AbstractChipOnPage.java:141)
	at org.eclipse.jface.preference.PreferenceDialog$13.run(PreferenceDialog.java:964)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:49)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:175)
	at org.eclipse.jface.preference.PreferenceDialog.okPressed(PreferenceDialog.java:944)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.okPressed(FilteredPreferenceDialog.java:447)
	at org.eclipse.jface.preference.PreferenceDialog.buttonPressed(PreferenceDialog.java:233)
	at org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog.java:624)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:240)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1053)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4165)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3754)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:825)
	at org.eclipse.jface.window.Window.open(Window.java:801)
	at org.eclipse.ui.dialogs.PropertyDialogAction.run(PropertyDialogAction.java:158)
	at org.eclipse.jface.action.Action.runWithEvent(Action.java:498)
	at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:584)
	at org.eclipse.jface.action.ActionContributionItem.access$2(ActionContributionItem.java:501)
	at org.eclipse.jface.action.ActionContributionItem$5.handleEvent(ActionContributionItem.java:411)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1053)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4165)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3754)
	at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:2696)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:2660)
	at org.eclipse.ui.internal.Workbench.access$4(Workbench.java:2494)
	at org.eclipse.ui.internal.Workbench$7.run(Workbench.java:674)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:667)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:123)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:622)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1410)

!ENTRY org.eclipse.cdt.ui 4 4 2016-05-23 15:05:48.156
!MESSAGE 内部错误
!STACK 0
java.lang.NullPointerException
	at com.chipon.chiponide.ui.propertypages.HardwareTab.performApply(HardwareTab.java:116)
	at com.chipon.chiponide.ui.propertypages.HardwareTab.performOK(HardwareTab.java:142)
	at org.eclipse.cdt.ui.newui.AbstractCPropertyTab.handleTabEvent(AbstractCPropertyTab.java:529)
	at com.chipon.chiponide.ui.propertypages.AbstractChipOnPropertyTab.handleTabEvent(AbstractChipOnPropertyTab.java:202)
	at org.eclipse.cdt.ui.newui.AbstractPage.forEach(AbstractPage.java:1019)
	at org.eclipse.cdt.ui.newui.AbstractPage$5.sendOK(AbstractPage.java:620)
	at org.eclipse.cdt.ui.newui.AbstractPage$5.run(AbstractPage.java:650)
	at org.eclipse.ui.actions.WorkspaceModifyDelegatingOperation.execute(WorkspaceModifyDelegatingOperation.java:69)
	at org.eclipse.ui.actions.WorkspaceModifyOperation$1.run(WorkspaceModifyOperation.java:106)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ui.actions.WorkspaceModifyOperation.run(WorkspaceModifyOperation.java:118)
	at org.eclipse.jface.operation.ModalContext.runInCurrentThread(ModalContext.java:464)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:372)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:507)
	at org.eclipse.ui.internal.progress.ProgressManager$RunnableWithStatus.run(ProgressManager.java:1346)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.ui.internal.progress.ProgressManager$7.run(ProgressManager.java:1184)
	at org.eclipse.swt.widgets.Synchronizer.syncExec(Synchronizer.java:180)
	at org.eclipse.ui.internal.UISynchronizer.syncExec(UISynchronizer.java:150)
	at org.eclipse.swt.widgets.Display.syncExec(Display.java:4683)
	at org.eclipse.ui.internal.progress.ProgressManager.runInUI(ProgressManager.java:1182)
	at org.eclipse.cdt.ui.newui.AbstractPage.performSave(AbstractPage.java:666)
	at org.eclipse.cdt.ui.newui.AbstractPage.performOk(AbstractPage.java:545)
	at com.chipon.chiponide.ui.propertypages.AbstractChipOnPage.performOk(AbstractChipOnPage.java:142)
	at org.eclipse.jface.preference.PreferenceDialog$13.run(PreferenceDialog.java:964)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:49)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:175)
	at org.eclipse.jface.preference.PreferenceDialog.okPressed(PreferenceDialog.java:944)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.okPressed(FilteredPreferenceDialog.java:447)
	at org.eclipse.jface.preference.PreferenceDialog.buttonPressed(PreferenceDialog.java:233)
	at org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog.java:624)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:240)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1053)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4165)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3754)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:825)
	at org.eclipse.jface.window.Window.open(Window.java:801)
	at org.eclipse.ui.dialogs.PropertyDialogAction.run(PropertyDialogAction.java:158)
	at org.eclipse.jface.action.Action.runWithEvent(Action.java:498)
	at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:584)
	at org.eclipse.jface.action.ActionContributionItem.access$2(ActionContributionItem.java:501)
	at org.eclipse.jface.action.ActionContributionItem$5.handleEvent(ActionContributionItem.java:411)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1053)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4165)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3754)
	at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:2696)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:2660)
	at org.eclipse.ui.internal.Workbench.access$4(Workbench.java:2494)
	at org.eclipse.ui.internal.Workbench$7.run(Workbench.java:674)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:667)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:123)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:622)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1410)

!ENTRY org.eclipse.cdt.core 1 0 2016-05-23 16:59:53.625
!MESSAGE Indexed 'Operational_Aplifier_Fun' (2 sources, 10 headers) in 0.06 sec: 33 declarations; 54 references; 8 unresolved inclusions; 100 syntax errors; 28 unresolved names (24.35%)

!ENTRY org.eclipse.cdt.managedbuilder.core 4 0 2016-05-23 18:00:08.375
!MESSAGE 
!STACK 1
org.eclipse.core.runtime.CoreException: 
	at org.eclipse.cdt.managedbuilder.core.ManagedBuildManager.getOldStyleBuildInfo(ManagedBuildManager.java:2942)
	at org.eclipse.cdt.managedbuilder.core.ManagedBuildManager.getBuildInfoLegacy(ManagedBuildManager.java:2952)
	at com.chipon.chiponide.ui.handlers.UploadHexFileHandler.execute(UploadHexFileHandler.java:58)
	at org.eclipse.ui.internal.handlers.HandlerProxy.execute(HandlerProxy.java:293)
	at org.eclipse.core.commands.Command.executeWithChecks(Command.java:476)
	at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks(ParameterizedCommand.java:508)
	at org.eclipse.ui.internal.handlers.HandlerService.executeCommand(HandlerService.java:169)
	at org.eclipse.ui.internal.handlers.SlaveHandlerService.executeCommand(SlaveHandlerService.java:241)
	at org.eclipse.ui.menus.CommandContributionItem.handleWidgetSelection(CommandContributionItem.java:829)
	at org.eclipse.ui.menus.CommandContributionItem.access$19(CommandContributionItem.java:815)
	at org.eclipse.ui.menus.CommandContributionItem$5.handleEvent(CommandContributionItem.java:805)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1053)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4165)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3754)
	at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:2696)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:2660)
	at org.eclipse.ui.internal.Workbench.access$4(Workbench.java:2494)
	at org.eclipse.ui.internal.Workbench$7.run(Workbench.java:674)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:667)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:123)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:622)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1410)
Caused by: java.lang.NullPointerException
	at org.eclipse.cdt.managedbuilder.core.ManagedBuildManager.loadOldStyleBuildInfo(ManagedBuildManager.java:1969)
	at org.eclipse.cdt.managedbuilder.core.ManagedBuildManager.getOldStyleBuildInfo(ManagedBuildManager.java:2937)
	... 34 more
!SUBENTRY 1 org.eclipse.cdt.managedbuilder.core 4 0 2016-05-23 18:00:08.375
!MESSAGE 
!STACK 0
java.lang.NullPointerException
	at org.eclipse.cdt.managedbuilder.core.ManagedBuildManager.loadOldStyleBuildInfo(ManagedBuildManager.java:1969)
	at org.eclipse.cdt.managedbuilder.core.ManagedBuildManager.getOldStyleBuildInfo(ManagedBuildManager.java:2937)
	at org.eclipse.cdt.managedbuilder.core.ManagedBuildManager.getBuildInfoLegacy(ManagedBuildManager.java:2952)
	at com.chipon.chiponide.ui.handlers.UploadHexFileHandler.execute(UploadHexFileHandler.java:58)
	at org.eclipse.ui.internal.handlers.HandlerProxy.execute(HandlerProxy.java:293)
	at org.eclipse.core.commands.Command.executeWithChecks(Command.java:476)
	at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks(ParameterizedCommand.java:508)
	at org.eclipse.ui.internal.handlers.HandlerService.executeCommand(HandlerService.java:169)
	at org.eclipse.ui.internal.handlers.SlaveHandlerService.executeCommand(SlaveHandlerService.java:241)
	at org.eclipse.ui.menus.CommandContributionItem.handleWidgetSelection(CommandContributionItem.java:829)
	at org.eclipse.ui.menus.CommandContributionItem.access$19(CommandContributionItem.java:815)
	at org.eclipse.ui.menus.CommandContributionItem$5.handleEvent(CommandContributionItem.java:805)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1053)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4165)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3754)
	at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:2696)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:2660)
	at org.eclipse.ui.internal.Workbench.access$4(Workbench.java:2494)
	at org.eclipse.ui.internal.Workbench$7.run(Workbench.java:674)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:667)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:123)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:622)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1410)

!ENTRY org.eclipse.ui 4 0 2016-05-23 18:00:08.375
!MESSAGE Unhandled event loop exception
!STACK 0
java.lang.NullPointerException
	at com.chipon.chiponide.ui.handlers.UploadHexFileHandler.execute(UploadHexFileHandler.java:58)
	at org.eclipse.ui.internal.handlers.HandlerProxy.execute(HandlerProxy.java:293)
	at org.eclipse.core.commands.Command.executeWithChecks(Command.java:476)
	at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks(ParameterizedCommand.java:508)
	at org.eclipse.ui.internal.handlers.HandlerService.executeCommand(HandlerService.java:169)
	at org.eclipse.ui.internal.handlers.SlaveHandlerService.executeCommand(SlaveHandlerService.java:241)
	at org.eclipse.ui.menus.CommandContributionItem.handleWidgetSelection(CommandContributionItem.java:829)
	at org.eclipse.ui.menus.CommandContributionItem.access$19(CommandContributionItem.java:815)
	at org.eclipse.ui.menus.CommandContributionItem$5.handleEvent(CommandContributionItem.java:805)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1053)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4165)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3754)
	at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:2696)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:2660)
	at org.eclipse.ui.internal.Workbench.access$4(Workbench.java:2494)
	at org.eclipse.ui.internal.Workbench$7.run(Workbench.java:674)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:667)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:123)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:622)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1410)

!ENTRY org.eclipse.cdt.core 1 0 2016-05-23 19:20:00.500
!MESSAGE Indexed '11_Usart-Full Duplex Asynchronous' (2 sources, 10 headers) in 0.02 sec: 22 declarations; 46 references; 8 unresolved inclusions; 93 syntax errors; 66 unresolved names (49.25%)

!ENTRY org.eclipse.cdt.core 1 0 2016-05-23 19:20:24.625
!MESSAGE Indexed '11_Usart-Half Duplex Synchronous' (2 sources, 10 headers) in 0.03 sec: 22 declarations; 46 references; 8 unresolved inclusions; 93 syntax errors; 66 unresolved names (49.25%)

!ENTRY org.eclipse.cdt.core 1 0 2016-05-23 19:20:38.437
!MESSAGE Indexed '11_Usart-Half Duplex Synchronous-Master' (2 sources, 10 headers) in 0.03 sec: 22 declarations; 46 references; 8 unresolved inclusions; 93 syntax errors; 66 unresolved names (49.25%)

!ENTRY org.eclipse.cdt.core 1 0 2016-05-23 19:20:48.078
!MESSAGE Indexed '11_Usart-Half Duplex Synchronous-Slave' (2 sources, 10 headers) in 0.03 sec: 22 declarations; 46 references; 8 unresolved inclusions; 93 syntax errors; 66 unresolved names (49.25%)
!SESSION 2016-05-24 09:10:44.828 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.7.0_01
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=zh_CN
Command-line arguments:  -os win32 -ws win32 -arch x86

!ENTRY org.eclipse.core.filesystem 4 272 2016-05-24 09:59:07.562
!MESSAGE 未能移动：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。
!STACK 1
org.eclipse.core.runtime.CoreException: 删除文件时遇到了问题。
	at org.eclipse.core.internal.filesystem.local.LocalFile.delete(LocalFile.java:125)
	at org.eclipse.core.filesystem.provider.FileStore.move(FileStore.java:411)
	at org.eclipse.core.internal.filesystem.local.LocalFile.move(LocalFile.java:352)
	at org.eclipse.core.internal.localstore.BlobStore.addBlob(BlobStore.java:54)
	at org.eclipse.core.internal.localstore.HistoryStore2.addState(HistoryStore2.java:92)
	at org.eclipse.core.internal.localstore.DeleteVisitor.recursiveKeepHistory(DeleteVisitor.java:118)
	at org.eclipse.core.internal.localstore.DeleteVisitor.recursiveKeepHistory(DeleteVisitor.java:113)
	at org.eclipse.core.internal.localstore.DeleteVisitor.delete(DeleteVisitor.java:57)
	at org.eclipse.core.internal.localstore.DeleteVisitor.visit(DeleteVisitor.java:150)
	at org.eclipse.core.internal.localstore.UnifiedTree.accept(UnifiedTree.java:110)
	at org.eclipse.core.internal.localstore.FileSystemResourceManager.delete(FileSystemResourceManager.java:349)
	at org.eclipse.core.internal.resources.ResourceTree.internalDeleteFolder(ResourceTree.java:352)
	at org.eclipse.core.internal.resources.ResourceTree.standardDeleteFolder(ResourceTree.java:798)
	at org.eclipse.core.internal.resources.Resource.unprotectedDelete(Resource.java:1935)
	at org.eclipse.core.internal.resources.Resource.delete(Resource.java:780)
	at org.eclipse.ltk.core.refactoring.resource.DeleteResourceChange.perform(DeleteResourceChange.java:140)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation$1.run(PerformChangeOperation.java:258)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.executeChange(PerformChangeOperation.java:306)
	at org.eclipse.ltk.internal.ui.refactoring.UIPerformChangeOperation.executeChange(UIPerformChangeOperation.java:92)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.run(PerformChangeOperation.java:218)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.internal.ui.refactoring.WorkbenchRunnableAdapter.run(WorkbenchRunnableAdapter.java:87)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:121)
Contains: 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。
!SUBENTRY 1 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:07.562
!MESSAGE 删除文件时遇到了问题。
!SUBENTRY 2 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:07.562
!MESSAGE 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。

!ENTRY org.eclipse.ltk.ui.refactoring 4 10000 2016-05-24 09:59:07.640
!MESSAGE 内部错误
!STACK 1
org.eclipse.core.internal.resources.ResourceException: 删除资源时遇到问题。
	at org.eclipse.core.internal.resources.Resource.delete(Resource.java:793)
	at org.eclipse.ltk.core.refactoring.resource.DeleteResourceChange.perform(DeleteResourceChange.java:140)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation$1.run(PerformChangeOperation.java:258)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.executeChange(PerformChangeOperation.java:306)
	at org.eclipse.ltk.internal.ui.refactoring.UIPerformChangeOperation.executeChange(UIPerformChangeOperation.java:92)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.run(PerformChangeOperation.java:218)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.internal.ui.refactoring.WorkbenchRunnableAdapter.run(WorkbenchRunnableAdapter.java:87)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:121)
Contains: 不能删除“/11_Usart-Half Duplex Synchronous-Slave/Debug”。
org.eclipse.core.internal.resources.ResourceException: 删除资源时遇到问题。
	at org.eclipse.core.internal.localstore.FileSystemResourceManager.delete(FileSystemResourceManager.java:352)
	at org.eclipse.core.internal.resources.ResourceTree.internalDeleteFolder(ResourceTree.java:352)
	at org.eclipse.core.internal.resources.ResourceTree.standardDeleteFolder(ResourceTree.java:798)
	at org.eclipse.core.internal.resources.Resource.unprotectedDelete(Resource.java:1935)
	at org.eclipse.core.internal.resources.Resource.delete(Resource.java:780)
	at org.eclipse.ltk.core.refactoring.resource.DeleteResourceChange.perform(DeleteResourceChange.java:140)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation$1.run(PerformChangeOperation.java:258)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.executeChange(PerformChangeOperation.java:306)
	at org.eclipse.ltk.internal.ui.refactoring.UIPerformChangeOperation.executeChange(UIPerformChangeOperation.java:92)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.run(PerformChangeOperation.java:218)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.internal.ui.refactoring.WorkbenchRunnableAdapter.run(WorkbenchRunnableAdapter.java:87)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:121)
Contains: 删除文件时遇到了问题。
Contains: 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。
Contains: 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug。
!SUBENTRY 1 org.eclipse.core.resources 4 273 2016-05-24 09:59:07.640
!MESSAGE 删除资源时遇到问题。
!SUBENTRY 2 org.eclipse.core.resources 4 273 2016-05-24 09:59:07.640
!MESSAGE 不能删除“/11_Usart-Half Duplex Synchronous-Slave/Debug”。
!STACK 1
org.eclipse.core.internal.resources.ResourceException: 删除资源时遇到问题。
	at org.eclipse.core.internal.localstore.FileSystemResourceManager.delete(FileSystemResourceManager.java:352)
	at org.eclipse.core.internal.resources.ResourceTree.internalDeleteFolder(ResourceTree.java:352)
	at org.eclipse.core.internal.resources.ResourceTree.standardDeleteFolder(ResourceTree.java:798)
	at org.eclipse.core.internal.resources.Resource.unprotectedDelete(Resource.java:1935)
	at org.eclipse.core.internal.resources.Resource.delete(Resource.java:780)
	at org.eclipse.ltk.core.refactoring.resource.DeleteResourceChange.perform(DeleteResourceChange.java:140)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation$1.run(PerformChangeOperation.java:258)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.executeChange(PerformChangeOperation.java:306)
	at org.eclipse.ltk.internal.ui.refactoring.UIPerformChangeOperation.executeChange(UIPerformChangeOperation.java:92)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.run(PerformChangeOperation.java:218)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.internal.ui.refactoring.WorkbenchRunnableAdapter.run(WorkbenchRunnableAdapter.java:87)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:121)
Contains: 删除文件时遇到了问题。
Contains: 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。
Contains: 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug。
!SUBENTRY 3 org.eclipse.core.resources 4 273 2016-05-24 09:59:07.640
!MESSAGE 删除资源时遇到问题。
!SUBENTRY 4 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:07.640
!MESSAGE 删除文件时遇到了问题。
!SUBENTRY 5 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:07.640
!MESSAGE 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。
!SUBENTRY 5 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:07.640
!MESSAGE 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug。

!ENTRY org.eclipse.core.resources 4 273 2016-05-24 09:59:07.640
!MESSAGE 删除资源时遇到问题。
!SUBENTRY 1 org.eclipse.core.resources 4 273 2016-05-24 09:59:07.640
!MESSAGE 不能删除“/11_Usart-Half Duplex Synchronous-Slave/Debug”。
!STACK 1
org.eclipse.core.internal.resources.ResourceException: 删除资源时遇到问题。
	at org.eclipse.core.internal.localstore.FileSystemResourceManager.delete(FileSystemResourceManager.java:352)
	at org.eclipse.core.internal.resources.ResourceTree.internalDeleteFolder(ResourceTree.java:352)
	at org.eclipse.core.internal.resources.ResourceTree.standardDeleteFolder(ResourceTree.java:798)
	at org.eclipse.core.internal.resources.Resource.unprotectedDelete(Resource.java:1935)
	at org.eclipse.core.internal.resources.Resource.delete(Resource.java:780)
	at org.eclipse.ltk.core.refactoring.resource.DeleteResourceChange.perform(DeleteResourceChange.java:140)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation$1.run(PerformChangeOperation.java:258)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.executeChange(PerformChangeOperation.java:306)
	at org.eclipse.ltk.internal.ui.refactoring.UIPerformChangeOperation.executeChange(UIPerformChangeOperation.java:92)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.run(PerformChangeOperation.java:218)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.internal.ui.refactoring.WorkbenchRunnableAdapter.run(WorkbenchRunnableAdapter.java:87)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:121)
Contains: 删除文件时遇到了问题。
Contains: 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。
Contains: 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug。
!SUBENTRY 2 org.eclipse.core.resources 4 273 2016-05-24 09:59:07.640
!MESSAGE 删除资源时遇到问题。
!SUBENTRY 3 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:07.640
!MESSAGE 删除文件时遇到了问题。
!SUBENTRY 4 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:07.640
!MESSAGE 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。
!SUBENTRY 4 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:07.640
!MESSAGE 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug。

!ENTRY org.eclipse.core.filesystem 4 272 2016-05-24 09:59:18.765
!MESSAGE 未能移动：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。
!STACK 1
org.eclipse.core.runtime.CoreException: 删除文件时遇到了问题。
	at org.eclipse.core.internal.filesystem.local.LocalFile.delete(LocalFile.java:125)
	at org.eclipse.core.filesystem.provider.FileStore.move(FileStore.java:411)
	at org.eclipse.core.internal.filesystem.local.LocalFile.move(LocalFile.java:352)
	at org.eclipse.core.internal.localstore.BlobStore.addBlob(BlobStore.java:54)
	at org.eclipse.core.internal.localstore.HistoryStore2.addState(HistoryStore2.java:92)
	at org.eclipse.core.internal.localstore.DeleteVisitor.recursiveKeepHistory(DeleteVisitor.java:118)
	at org.eclipse.core.internal.localstore.DeleteVisitor.recursiveKeepHistory(DeleteVisitor.java:113)
	at org.eclipse.core.internal.localstore.DeleteVisitor.delete(DeleteVisitor.java:57)
	at org.eclipse.core.internal.localstore.DeleteVisitor.visit(DeleteVisitor.java:150)
	at org.eclipse.core.internal.localstore.UnifiedTree.accept(UnifiedTree.java:110)
	at org.eclipse.core.internal.localstore.FileSystemResourceManager.delete(FileSystemResourceManager.java:349)
	at org.eclipse.core.internal.resources.ResourceTree.internalDeleteFolder(ResourceTree.java:352)
	at org.eclipse.core.internal.resources.ResourceTree.standardDeleteFolder(ResourceTree.java:798)
	at org.eclipse.core.internal.resources.Resource.unprotectedDelete(Resource.java:1935)
	at org.eclipse.core.internal.resources.Resource.delete(Resource.java:780)
	at org.eclipse.ltk.core.refactoring.resource.DeleteResourceChange.perform(DeleteResourceChange.java:140)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation$1.run(PerformChangeOperation.java:258)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.executeChange(PerformChangeOperation.java:306)
	at org.eclipse.ltk.internal.ui.refactoring.UIPerformChangeOperation.executeChange(UIPerformChangeOperation.java:92)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.run(PerformChangeOperation.java:218)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.internal.ui.refactoring.WorkbenchRunnableAdapter.run(WorkbenchRunnableAdapter.java:87)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:121)
Contains: 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。
!SUBENTRY 1 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:18.765
!MESSAGE 删除文件时遇到了问题。
!SUBENTRY 2 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:18.765
!MESSAGE 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。

!ENTRY org.eclipse.ltk.ui.refactoring 4 10000 2016-05-24 09:59:18.781
!MESSAGE 内部错误
!STACK 1
org.eclipse.core.internal.resources.ResourceException: 删除资源时遇到问题。
	at org.eclipse.core.internal.resources.Resource.delete(Resource.java:793)
	at org.eclipse.ltk.core.refactoring.resource.DeleteResourceChange.perform(DeleteResourceChange.java:140)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation$1.run(PerformChangeOperation.java:258)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.executeChange(PerformChangeOperation.java:306)
	at org.eclipse.ltk.internal.ui.refactoring.UIPerformChangeOperation.executeChange(UIPerformChangeOperation.java:92)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.run(PerformChangeOperation.java:218)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.internal.ui.refactoring.WorkbenchRunnableAdapter.run(WorkbenchRunnableAdapter.java:87)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:121)
Contains: 不能删除“/11_Usart-Half Duplex Synchronous-Slave/Debug”。
org.eclipse.core.internal.resources.ResourceException: 删除资源时遇到问题。
	at org.eclipse.core.internal.localstore.FileSystemResourceManager.delete(FileSystemResourceManager.java:352)
	at org.eclipse.core.internal.resources.ResourceTree.internalDeleteFolder(ResourceTree.java:352)
	at org.eclipse.core.internal.resources.ResourceTree.standardDeleteFolder(ResourceTree.java:798)
	at org.eclipse.core.internal.resources.Resource.unprotectedDelete(Resource.java:1935)
	at org.eclipse.core.internal.resources.Resource.delete(Resource.java:780)
	at org.eclipse.ltk.core.refactoring.resource.DeleteResourceChange.perform(DeleteResourceChange.java:140)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation$1.run(PerformChangeOperation.java:258)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.executeChange(PerformChangeOperation.java:306)
	at org.eclipse.ltk.internal.ui.refactoring.UIPerformChangeOperation.executeChange(UIPerformChangeOperation.java:92)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.run(PerformChangeOperation.java:218)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.internal.ui.refactoring.WorkbenchRunnableAdapter.run(WorkbenchRunnableAdapter.java:87)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:121)
Contains: 删除文件时遇到了问题。
Contains: 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。
Contains: 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug。
!SUBENTRY 1 org.eclipse.core.resources 4 273 2016-05-24 09:59:18.781
!MESSAGE 删除资源时遇到问题。
!SUBENTRY 2 org.eclipse.core.resources 4 273 2016-05-24 09:59:18.781
!MESSAGE 不能删除“/11_Usart-Half Duplex Synchronous-Slave/Debug”。
!STACK 1
org.eclipse.core.internal.resources.ResourceException: 删除资源时遇到问题。
	at org.eclipse.core.internal.localstore.FileSystemResourceManager.delete(FileSystemResourceManager.java:352)
	at org.eclipse.core.internal.resources.ResourceTree.internalDeleteFolder(ResourceTree.java:352)
	at org.eclipse.core.internal.resources.ResourceTree.standardDeleteFolder(ResourceTree.java:798)
	at org.eclipse.core.internal.resources.Resource.unprotectedDelete(Resource.java:1935)
	at org.eclipse.core.internal.resources.Resource.delete(Resource.java:780)
	at org.eclipse.ltk.core.refactoring.resource.DeleteResourceChange.perform(DeleteResourceChange.java:140)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation$1.run(PerformChangeOperation.java:258)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.executeChange(PerformChangeOperation.java:306)
	at org.eclipse.ltk.internal.ui.refactoring.UIPerformChangeOperation.executeChange(UIPerformChangeOperation.java:92)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.run(PerformChangeOperation.java:218)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.internal.ui.refactoring.WorkbenchRunnableAdapter.run(WorkbenchRunnableAdapter.java:87)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:121)
Contains: 删除文件时遇到了问题。
Contains: 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。
Contains: 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug。
!SUBENTRY 3 org.eclipse.core.resources 4 273 2016-05-24 09:59:18.781
!MESSAGE 删除资源时遇到问题。
!SUBENTRY 4 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:18.781
!MESSAGE 删除文件时遇到了问题。
!SUBENTRY 5 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:18.781
!MESSAGE 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。
!SUBENTRY 5 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:18.781
!MESSAGE 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug。

!ENTRY org.eclipse.core.resources 4 273 2016-05-24 09:59:18.781
!MESSAGE 删除资源时遇到问题。
!SUBENTRY 1 org.eclipse.core.resources 4 273 2016-05-24 09:59:18.781
!MESSAGE 不能删除“/11_Usart-Half Duplex Synchronous-Slave/Debug”。
!STACK 1
org.eclipse.core.internal.resources.ResourceException: 删除资源时遇到问题。
	at org.eclipse.core.internal.localstore.FileSystemResourceManager.delete(FileSystemResourceManager.java:352)
	at org.eclipse.core.internal.resources.ResourceTree.internalDeleteFolder(ResourceTree.java:352)
	at org.eclipse.core.internal.resources.ResourceTree.standardDeleteFolder(ResourceTree.java:798)
	at org.eclipse.core.internal.resources.Resource.unprotectedDelete(Resource.java:1935)
	at org.eclipse.core.internal.resources.Resource.delete(Resource.java:780)
	at org.eclipse.ltk.core.refactoring.resource.DeleteResourceChange.perform(DeleteResourceChange.java:140)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation$1.run(PerformChangeOperation.java:258)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.executeChange(PerformChangeOperation.java:306)
	at org.eclipse.ltk.internal.ui.refactoring.UIPerformChangeOperation.executeChange(UIPerformChangeOperation.java:92)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.run(PerformChangeOperation.java:218)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.internal.ui.refactoring.WorkbenchRunnableAdapter.run(WorkbenchRunnableAdapter.java:87)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:121)
Contains: 删除文件时遇到了问题。
Contains: 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。
Contains: 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug。
!SUBENTRY 2 org.eclipse.core.resources 4 273 2016-05-24 09:59:18.781
!MESSAGE 删除资源时遇到问题。
!SUBENTRY 3 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:18.781
!MESSAGE 删除文件时遇到了问题。
!SUBENTRY 4 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:18.781
!MESSAGE 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。
!SUBENTRY 4 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:18.781
!MESSAGE 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug。

!ENTRY org.eclipse.core.filesystem 4 272 2016-05-24 09:59:37.906
!MESSAGE 未能移动：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。
!STACK 1
org.eclipse.core.runtime.CoreException: 删除文件时遇到了问题。
	at org.eclipse.core.internal.filesystem.local.LocalFile.delete(LocalFile.java:125)
	at org.eclipse.core.filesystem.provider.FileStore.move(FileStore.java:411)
	at org.eclipse.core.internal.filesystem.local.LocalFile.move(LocalFile.java:352)
	at org.eclipse.core.internal.localstore.BlobStore.addBlob(BlobStore.java:54)
	at org.eclipse.core.internal.localstore.HistoryStore2.addState(HistoryStore2.java:92)
	at org.eclipse.core.internal.localstore.DeleteVisitor.recursiveKeepHistory(DeleteVisitor.java:118)
	at org.eclipse.core.internal.localstore.DeleteVisitor.recursiveKeepHistory(DeleteVisitor.java:113)
	at org.eclipse.core.internal.localstore.DeleteVisitor.delete(DeleteVisitor.java:57)
	at org.eclipse.core.internal.localstore.DeleteVisitor.visit(DeleteVisitor.java:150)
	at org.eclipse.core.internal.localstore.UnifiedTree.accept(UnifiedTree.java:110)
	at org.eclipse.core.internal.localstore.FileSystemResourceManager.delete(FileSystemResourceManager.java:349)
	at org.eclipse.core.internal.resources.ResourceTree.internalDeleteFolder(ResourceTree.java:352)
	at org.eclipse.core.internal.resources.ResourceTree.standardDeleteFolder(ResourceTree.java:798)
	at org.eclipse.core.internal.resources.Resource.unprotectedDelete(Resource.java:1935)
	at org.eclipse.core.internal.resources.Resource.delete(Resource.java:780)
	at org.eclipse.ltk.core.refactoring.resource.DeleteResourceChange.perform(DeleteResourceChange.java:140)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation$1.run(PerformChangeOperation.java:258)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.executeChange(PerformChangeOperation.java:306)
	at org.eclipse.ltk.internal.ui.refactoring.UIPerformChangeOperation.executeChange(UIPerformChangeOperation.java:92)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.run(PerformChangeOperation.java:218)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.internal.ui.refactoring.WorkbenchRunnableAdapter.run(WorkbenchRunnableAdapter.java:87)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:121)
Contains: 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。
!SUBENTRY 1 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:37.906
!MESSAGE 删除文件时遇到了问题。
!SUBENTRY 2 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:37.906
!MESSAGE 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。

!ENTRY org.eclipse.ltk.ui.refactoring 4 10000 2016-05-24 09:59:37.937
!MESSAGE 内部错误
!STACK 1
org.eclipse.core.internal.resources.ResourceException: 删除资源时遇到问题。
	at org.eclipse.core.internal.resources.Resource.delete(Resource.java:793)
	at org.eclipse.ltk.core.refactoring.resource.DeleteResourceChange.perform(DeleteResourceChange.java:140)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation$1.run(PerformChangeOperation.java:258)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.executeChange(PerformChangeOperation.java:306)
	at org.eclipse.ltk.internal.ui.refactoring.UIPerformChangeOperation.executeChange(UIPerformChangeOperation.java:92)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.run(PerformChangeOperation.java:218)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.internal.ui.refactoring.WorkbenchRunnableAdapter.run(WorkbenchRunnableAdapter.java:87)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:121)
Contains: 不能删除“/11_Usart-Half Duplex Synchronous-Slave/Debug”。
org.eclipse.core.internal.resources.ResourceException: 删除资源时遇到问题。
	at org.eclipse.core.internal.localstore.FileSystemResourceManager.delete(FileSystemResourceManager.java:352)
	at org.eclipse.core.internal.resources.ResourceTree.internalDeleteFolder(ResourceTree.java:352)
	at org.eclipse.core.internal.resources.ResourceTree.standardDeleteFolder(ResourceTree.java:798)
	at org.eclipse.core.internal.resources.Resource.unprotectedDelete(Resource.java:1935)
	at org.eclipse.core.internal.resources.Resource.delete(Resource.java:780)
	at org.eclipse.ltk.core.refactoring.resource.DeleteResourceChange.perform(DeleteResourceChange.java:140)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation$1.run(PerformChangeOperation.java:258)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.executeChange(PerformChangeOperation.java:306)
	at org.eclipse.ltk.internal.ui.refactoring.UIPerformChangeOperation.executeChange(UIPerformChangeOperation.java:92)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.run(PerformChangeOperation.java:218)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.internal.ui.refactoring.WorkbenchRunnableAdapter.run(WorkbenchRunnableAdapter.java:87)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:121)
Contains: 删除文件时遇到了问题。
Contains: 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。
Contains: 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug。
!SUBENTRY 1 org.eclipse.core.resources 4 273 2016-05-24 09:59:37.937
!MESSAGE 删除资源时遇到问题。
!SUBENTRY 2 org.eclipse.core.resources 4 273 2016-05-24 09:59:37.937
!MESSAGE 不能删除“/11_Usart-Half Duplex Synchronous-Slave/Debug”。
!STACK 1
org.eclipse.core.internal.resources.ResourceException: 删除资源时遇到问题。
	at org.eclipse.core.internal.localstore.FileSystemResourceManager.delete(FileSystemResourceManager.java:352)
	at org.eclipse.core.internal.resources.ResourceTree.internalDeleteFolder(ResourceTree.java:352)
	at org.eclipse.core.internal.resources.ResourceTree.standardDeleteFolder(ResourceTree.java:798)
	at org.eclipse.core.internal.resources.Resource.unprotectedDelete(Resource.java:1935)
	at org.eclipse.core.internal.resources.Resource.delete(Resource.java:780)
	at org.eclipse.ltk.core.refactoring.resource.DeleteResourceChange.perform(DeleteResourceChange.java:140)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation$1.run(PerformChangeOperation.java:258)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.executeChange(PerformChangeOperation.java:306)
	at org.eclipse.ltk.internal.ui.refactoring.UIPerformChangeOperation.executeChange(UIPerformChangeOperation.java:92)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.run(PerformChangeOperation.java:218)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.internal.ui.refactoring.WorkbenchRunnableAdapter.run(WorkbenchRunnableAdapter.java:87)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:121)
Contains: 删除文件时遇到了问题。
Contains: 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。
Contains: 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug。
!SUBENTRY 3 org.eclipse.core.resources 4 273 2016-05-24 09:59:37.937
!MESSAGE 删除资源时遇到问题。
!SUBENTRY 4 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:37.937
!MESSAGE 删除文件时遇到了问题。
!SUBENTRY 5 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:37.937
!MESSAGE 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。
!SUBENTRY 5 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:37.937
!MESSAGE 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug。

!ENTRY org.eclipse.core.resources 4 273 2016-05-24 09:59:37.937
!MESSAGE 删除资源时遇到问题。
!SUBENTRY 1 org.eclipse.core.resources 4 273 2016-05-24 09:59:37.937
!MESSAGE 不能删除“/11_Usart-Half Duplex Synchronous-Slave/Debug”。
!STACK 1
org.eclipse.core.internal.resources.ResourceException: 删除资源时遇到问题。
	at org.eclipse.core.internal.localstore.FileSystemResourceManager.delete(FileSystemResourceManager.java:352)
	at org.eclipse.core.internal.resources.ResourceTree.internalDeleteFolder(ResourceTree.java:352)
	at org.eclipse.core.internal.resources.ResourceTree.standardDeleteFolder(ResourceTree.java:798)
	at org.eclipse.core.internal.resources.Resource.unprotectedDelete(Resource.java:1935)
	at org.eclipse.core.internal.resources.Resource.delete(Resource.java:780)
	at org.eclipse.ltk.core.refactoring.resource.DeleteResourceChange.perform(DeleteResourceChange.java:140)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation$1.run(PerformChangeOperation.java:258)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.executeChange(PerformChangeOperation.java:306)
	at org.eclipse.ltk.internal.ui.refactoring.UIPerformChangeOperation.executeChange(UIPerformChangeOperation.java:92)
	at org.eclipse.ltk.core.refactoring.PerformChangeOperation.run(PerformChangeOperation.java:218)
	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
	at org.eclipse.ltk.internal.ui.refactoring.WorkbenchRunnableAdapter.run(WorkbenchRunnableAdapter.java:87)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:121)
Contains: 删除文件时遇到了问题。
Contains: 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。
Contains: 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug。
!SUBENTRY 2 org.eclipse.core.resources 4 273 2016-05-24 09:59:37.937
!MESSAGE 删除资源时遇到问题。
!SUBENTRY 3 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:37.937
!MESSAGE 删除文件时遇到了问题。
!SUBENTRY 4 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:37.937
!MESSAGE 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug\main.adb。
!SUBENTRY 4 org.eclipse.core.filesystem 4 273 2016-05-24 09:59:37.937
!MESSAGE 未能删除：E:\石迈\项目\Example\11-Usart\11_Usart-Half Duplex Synchronous-Slave\Debug。

!ENTRY org.eclipse.core.jobs 4 2 2016-05-24 11:35:57.937
!MESSAGE 在“ChipON Event Dispatch”期间发生了内部错误。
!STACK 0
java.lang.NullPointerException
	at com.chipon.debug.core.protocol.ChiponEvent.parseEvent(ChiponEvent.java:72)
	at com.chipon.debug.core.model.ChiponDebugTarget$EventDispatchJob.run(ChiponDebugTarget.java:108)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:54)
